//#############################
//## UPDATE by TERUYUKI SHIMA 
//#############################

/*
 * 作成日: 2005/02/08
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.tools;

import jp.co.ntt.lms.xmf.common.CommonFunction;
import jp.co.ntt.lms.xmo.util.XMODate;
import java.util.*;
import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
import java.net.URLEncoder;
import java.io.UnsupportedEncodingException;
import jp.co.ntt.lms.xmo.Base.SearchPath;
import jp.co.ntt.lms.xmo.util.HtmlEscape;
import jp.co.ntt.lms.xmo.Lo.LoClient;


/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class SearchFrame_Result {
	
	public SearchPath getObjSearch(int intSearchType, String strTreeViewType, String strUserID ) throws Exception
	{
			SearchPath objSearch = new SearchPath( intSearchType, strTreeViewType, strUserID );
			return objSearch;
	}
	
	public String getStrReplace(String strAstar ) throws Exception
	{
			String strReplace = CommonFunction.replace(strAstar , "\\", "\\\\");
			return strReplace;
	}
	
	public Vector getVecArefStr() throws Exception
	{
			Vector vecArefStr = new Vector();
			return vecArefStr;
	}

	public LoClient getObjClient() throws Exception
	{
			LoClient objClient = new LoClient();
			return objClient;
	}

	
}
